(function() 
{   
  var bar = $('.bar');
  var percent = $('.percent');
  var status = $('#status');

$('#formAdjuntarFotografia').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);

          $('#bt_actualizar_fotografia').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
         // $('#bt_actualizar_fotografia').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Fotograf&#237;a actualizada...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar fotograf&#237;a.");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: No es una imagen jpg");
      }
      if(xhr.responseText==4)
      {
         status.html("Error: Al redimensionar...");
      }
      
    }

  });


$('#formEnviarTarea').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          status.html("<div class='spinner-border text-primary' role='status'></div>");
          $('#bt_enviar').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_enviar').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Tarea enviada...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: extension del archivo desconocido.");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: tama&#241;o o tipo de archivo incorrecto...  ");
      }
      
    }

  });

$('#formPublicarCv').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          status.html("<div class='spinner-border text-primary' role='status'></div>");
          $('#bt_actualizar').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_actualizar').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Cv actualizado...");
         $(location).attr('href','publicarCv.php');
      }
      if(xhr.responseText==2)
      {
         status.html("Error: extension del archivo desconocido.");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: tama&#241;o o tipo de archivo incorrecto...  ");
      }
      
    }
   

  });



})();       